petsc-3.4.2 2013-07-02

# DMPlexMarkBoundaryFaces

Mark all faces on the boundary

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMarkBoundaryFaces(DM dm, DMLabel label)

Not Collective

### Input Parameter

dm -The original DM

### Output Parameter

label -The DMLabel marking boundary faces with value 1

### See Also

DMLabelCreate(), DMPlexCreateLabel()

Level:developer
Location:src/dm/impls/plex/plexsubmesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html